<template>
    <div class="flex-1" style="background: url(/img/svg/pattern-1.svg) no-repeat center bottom fixed; background-size: cover;">
        <div class="container py-4 py-lg-5 my-lg-5 px-4 px-sm-0">
            <div class="row">
                <div class="col-xl-12">
                    <h2 class="fs-xxl fw-500 mt-4 text-white text-center">
                        Register here!
                    </h2>
                </div>
                <div class="col-xl-6 ml-auto mr-auto">
                    <div class="card p-4 rounded-plus bg-faded">
                        <!-- name -->
                        <div class="form-group row">
                            <label class="col-xl-12 form-label" for="firstName">Name</label>
                            <div class="col-6 pr-1">
                                <input type="text" v-model="user.firstName" name="firstName" class="form-control"
                                    :class="{ 'is-invalid': user.errors.has('firstName') }" id="firstName"
                                    placeholder="First Name" value="" required>
                                <has-error :form="user" field="firstName"></has-error>
                            </div>
                            <div class="col-6 pl-1">
                                <input type="text" v-model="user.lastName" name="lastName" class="form-control"
                                    :class="{ 'is-invalid': user.errors.has('lastName') }" id="lastName"
                                    placeholder="Last Name" value="" required>
                                <has-error :form="user" field="lastName"></has-error>
                            </div>
                        </div>
                        <!-- email -->
                        <div class="form-group">
                            <label class="form-label" for="username">E-mail</label>
                            <input type="email" v-model="user.username" name="username" class="form-control"
                                :class="{ 'is-invalid': user.errors.has('username') }" id="username"
                                placeholder="E-mail" value="" required>
                            <has-error :form="user" field="username"></has-error>
                        </div>
                        <!-- gender -->
                        <div class="form-group">
                            <label class="form-label" for="gender">Gender</label>
                            <select v-model="user.gender" name="gender" class="form-control"
                                :class="{ 'is-invalid': user.errors.has('gender') }" id="gender">
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                            </select>
                        </div>

                        <div class="row">
                            <!-- phone -->
                            <div class="form-group col-6 pr-1">
                                <label class="form-label" for="phone">Phone number</label>
                                <input type="text" v-model="user.phone" name="phone" class="form-control"
                                    :class="{ 'is-invalid': user.errors.has('phone') }" id="phone"
                                    placeholder="Phone number" value="" required>
                                <has-error :form="user" field="phone"></has-error>
                            </div>
                            <!-- date of birth -->
                            <div class="form-group col-6 pr-1">
                                <label class="form-label" for="dob">Date of birth</label>
                                <input type="date" v-model="user.dob" name="dob" class="form-control text-muted"
                                    :class="{ 'is-invalid': user.errors.has('dob') }" id="dob"
                                     value="" required>
                                <has-error :form="user" field="dob"></has-error>
                            </div>
                        </div>
                         <!-- password -->
                        <div class="form-group row">
                            <label class="col-xl-12 form-label" for="password">Password</label>
                            <div class="col-6 pr-1">
                                <input type="password" v-model="user.password" name="password" class="form-control"
                                :class="{ 'is-invalid': user.errors.has('password') }" id="password"
                                placeholder="Password" value="" required>
                            <has-error :form="user" field="password"></has-error>
                            </div>
                            <div class="col-6 pl-1">
                                <input type="password" v-model="user.confirm_password" name="confirm_password" class="form-control"
                                :class="{ 'is-invalid': user.errors.has('confirm_password') }" id="confirm_password"
                                placeholder="Confirm password" value="" required>
                            <has-error :form="user" field="confirm_password"></has-error>
                            </div>
                        </div>
                        <!-- terms of condition -->
                        <div class="form-group demo">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="terms" required>
                                <label class="custom-control-label" for="terms"> I agree to terms & conditions</label>
                            </div>
                        </div>
                        <div class="row no-gutters">
                            <div class="col-md-4 ml-auto text-right">
                                <button id="js-login-btn" type="button" class="btn btn-block btn-danger btn-lg mt-3" @click="register">Register</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'Register',
        data() {
            return {
                user: new this.$Form({
                    firstName:'',
                    lastName:'',
                    gender:'',
                    username:'',
                    password:'',
                    confirm_password:'',
                    phone:'',
                    dob:'',
                    device_id:''
                })
            }
        },
        methods: {
            register(){
                if(this.user.password==this.user.confirm_password){
                    this.user.device_id = this.$session.id()
                    this.$store.dispatch('auth/user_register', this.user)
                    .then(() => {
                        this.$router.push('/login')
                    })
                }
            }
        }
    }
</script>

<style scoped>

</style>
